#ifndef LOGINDLG_H
#define LOGINDLG_H

#include <QDialog>
#include <QLabel>
#include <QTimer>
#include "mainwindow.h"
namespace Ui {
class LoginDlg;
}

class LoginDlg : public QDialog
{
    Q_OBJECT

public:
    explicit LoginDlg(QWidget *parent = nullptr);
    ~LoginDlg();
    MainWindow *m_MainWindow;

private:
    void InitGui();
    void LoadStyleSheet();
    //登录判断
    bool LoginJudgment();
private:
    Ui::LoginDlg *ui;
    QLabel *lab_tip;
    QTimer *timer_tip;
};

#endif // LOGINDLG_H
